std::basic_filebuf::uflow(3)

NAME
std::basic_filebuf::uflow - std::basic_filebuf::uflow

Synopsis
   protected:
   virtual int_type uflow()
   Behaves like the underflow(), except that if underflow() succeeds (does not return
   Traits::eof()), then advances the next pointer for the get area. In other words,
   consumes one of the characters obtained by underflow().

Parameters
   (none)

Return value
   The value of the character that was read and consumed in case of success, or
   Traits::eof() in case of failure.

Example
    This section is incomplete
    Reason: no example

See also
   uflow reads characters from the associated input sequence to the get area and
   [virtual] advances the next pointer
             (virtual protected member function of std::basic_streambuf<CharT,Traits>)
   underflow reads from the associated file
   [virtual] (virtual protected member function)
   overflow writes characters to the associated file from the put area
   [virtual] (virtual protected member function)